<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('orders', function (Blueprint $table) {
            $table->id();
            $table->foreignId('owner_id')->constrained('users')->onDelete('cascade'); // Owner
            $table->foreignId('kurir_id')->nullable()->constrained('users')->onDelete('set null'); // Kurir
            $table->string('recipient_name'); // Nama penerima
            $table->text('address'); // Alamat penerima
            $table->text('description'); // Deskripsi pesanan
            $table->enum('status', ['pending', 'assigned', 'delivered'])->default('pending'); // Status
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('orders');
    }
};
