@extends('layouts.app')

@section('content')
<div class="container mt-4">
    <div class="row">
        <!-- Form Tambah Pesanan -->
        <div class="col-md-6">
            <div class="card shadow-lg border-0">
                <div class="card-header bg-primary text-white text-center">
                    <h5 class="mb-0">Tambah Pesanan</h5>
                </div>
                <div class="card-body">
                    <form id="orderForm" action="{{ route('orders.customer') }}" method="POST">
                        @csrf
                        <div class="mb-3">
                            <label for="recipient_name" class="form-label">Nama Penerima</label>
                            <input type="text" class="form-control" id="recipient_name" name="recipient_name" required>
                        </div>
                        <div class="mb-3">
                            <label for="address" class="form-label">Alamat</label>
                            <input type="text" class="form-control" id="address" name="address" required>
                        </div>
                        <div class="mb-3">
                            <label for="description" class="form-label">Deskripsi</label>
                            <textarea class="form-control" id="description" name="description" rows="2" required></textarea>
                        </div>
                        <div class="mb-3" style="display: none;">
                            <label for="kurir_id" class="form-label">Kurir</label>
                            <input type="hidden" id="kurir_id" name="kurir_id">
                        </div>
                        <button type="submit" class="btn btn-primary w-100">Simpan Order</button>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>

<script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
<script>
$(document).ready(function() {
    $("#orderForm").submit(function(event) {
        event.preventDefault(); // Mencegah reload

        $.ajax({
            url: "{{ route('orders.store') }}",
            method: "POST",
            data: $(this).serialize(),
            success: function(response) {
                if(response.success) {
                    alert(response.message);

                    // Tambahkan order baru ke tabel tanpa reload
                    $("#ordersTable tbody").prepend(`
                        <tr>
                            <td>NEW</td>
                            <td>${response.order.recipient_name}</td>
                            <td>${response.order.address}</td>
                            <td>${response.order.description}</td>
                            <td><span class="badge badge-secondary">Pending</span></td>
                            <td>${response.order.kurir ? response.order.kurir.name : 'Belum Ditugaskan'}</td>
                            <td>${new Date(response.order.created_at).toLocaleString()}</td>
                        </tr>
                    `);

                    // Reset form setelah submit
                    $("#orderForm")[0].reset();
                }
            },
            error: function(xhr) {
                alert("Terjadi kesalahan: " + xhr.responseJSON.message);
            }
        });
    });
});
</script>
@endsection
