<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Dashboard Owner</title>
    <link href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" rel="stylesheet">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0/css/all.min.css"
        integrity="..." crossorigin="anonymous" referrerpolicy="no-referrer" />
    <style>
      .table-responsive {
            max-height: 400px;
            overflow-y: auto;
        }

      .body {
            font-family: 'Poppins', sans-serif; /* Font yang lebih modern */
            background-color: #ffffff; /* Warna latar belakang lembut */
            padding-top: 80px;
        }


      .card {
            border: none;
            box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
            border-radius: 10px;
        }

      .card-header {
            background-color: #e9ecef;
            color: #343a40;
            border-top-left-radius: 10px;
            border-top-right-radius: 10px;
        }

      .card-title {
            color: #343a40;
        }

      .badge {
            border-radius: 5px;
            padding: 0.3rem 0.6rem;
        }

      .bg-light-soft {
            background-color: #f9f9f9; /* Soft light gray */
        }
    </style>
</head>

<body>
    <nav class="navbar navbar-expand-lg navbar-light bg-light">
       <div class="container">
            <a class="navbar-brand" href="#">Dashboard Owner</a>
            <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarNav"
                aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
            </button>
            <div class="collapse navbar-collapse" id="navbarNav">
                <ul class="navbar-nav ml-auto">
                    <li class="nav-item">
                        <a class="nav-link" href="{{ route('home') }}">Home</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="{{ route('orders.index') }}">Order</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="{{ route('salary.index') }}">Salary</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="{{ route('report.index') }}">Report</a>
                    </li>
                    <li class="nav-item">
                        <form action="{{ route('logout') }}" method="POST" class="d-flex mt-1">
                            @csrf
                            <button type="submit" class="btn btn-sm btn-danger">Logout</button>
                        </form>
                    </li>
                </ul>
            </div>
        </div>
    </nav>

    <div class="container mt-3">
        <h2>Selamat datang, {{ auth()->user()->name }}!</h2>
        <p>Berikut Total Pesanan dan Update Lokasi Kurir</p>

        <div class="card border-0 mt-4 shadow">
            <div class="card-body" id="cardInfo">
                <div class="row">

                    <div class="col-md-4 mb-4 mb-md-0">
                        <div class="card border-0 bg-light-soft p-3 rounded">
                            <div class="card-body text-center">
                                <h5 class="card-title text-muted">Presensi</h5>
                                <h1 class="fw-bold text-info">{{ $presensiCount }}</h1>
                                <p class="text-muted mb-0">Total Kehadiran</p>
                            </div>
                        </div>
                    </div>

                    <div class="col-md-4 mb-4 mb-md-0">
                        <div class="card border-0 bg-light-soft p-3 rounded">
                            <div class="card-body text-center">
                                <h5 class="card-title text-muted">Gaji</h5>
                                <h1 class="fw-bold text-success">Rp
                                    {{ number_format($totalGajiKurir, 0, ',', '.') }}</h1>
                                <p class="text-muted mb-0">Total Bayar Gaji Bulan Ini</p>
                            </div>
                        </div>
                    </div>

                    <div class="col-md-4">
                        <div class="card border-0 bg-light-soft p-3 rounded">
                            <div class="card-body text-center">
                                <h5 class="card-title text-muted">Pesanan</h5>
                                <h1 class="fw-bold text-primary">{{ $totalOrders }}</h1>
                                <p class="text-muted mb-0">Total Pesanan Bulan Ini</p>
                            </div>
                        </div>
                    </div>

                </div>
            </div>
        </div>

        {{-- Card Presensi --}}
            <div class="card border-0 mb-4 mt-4">
                <div class="card-header">
                    Data Presensi Hari Ini
                </div>
                <div class="card-body">
                    <div class="table-responsive">
                        <table class="table table-bordered" id="locationTable">
                            <thead>
                                <tr>
                                    <th>Nama Kurir</th>
                                    <th>Waktu Presensi</th>
                                    <th>Status</th>
                                </tr>
                            </thead>
                            <tbody>
                            @if (count($presensiRecords) > 0)
                                @foreach ($presensiRecords as $record)
                                    <tr>
                                        <td>{{ $record->user->name }}</td>
                                        <td>{{ \Carbon\Carbon::parse($record->check_in_time)->format('H:i:s') }}</td>
                                        <td>
                                            @php
                                                $waktuPresensi = \Carbon\Carbon::parse($record->check_in_time)->format('H:i');
                                                $status = $waktuPresensi <= '07:30' ? 'Ontime' : 'Late';
                                            @endphp
                                            <span class="badge badge-{{ $status === 'Ontime' ? 'success' : 'danger' }}">
                                                {{ $status }}
                                            </span>
                                        </td>
                                    </tr>
                                @endforeach
                            @else
                            <tr>
                                <td colspan="6" class="text-center">
                                    <div class="alert alert-warning mb-0">Data Belum Tersedia</div>
                                </td>
                            </tr>
                            @endif
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>

        <div class="card mt-4 mb-4">
            <div class="card-header">
                Daftar Lokasi Kurir
            </div>
            <div class="card-body">
                <div class="table-responsive">
                    <table class="table table-bordered" id="locationTable">
                        
                        <thead>
                            <tr>
                                <th>No</th>
                                <th>Nama Kurir</th>
                                <th>Latitude</th>
                                <th>Longitude</th>
                                <th>Waktu Upload</th>
                                <th>Aksi</th>
                            </tr>
                        </thead>
                        <tbody>
                        @if (count($locations) > 0)
                            @foreach ($locations as $index => $location)
                            <tr>
                                <td>{{ $index + 1 }}</td>
                                <td>{{ $location->user->name }}</td>
                                <td>{{ $location->latitude }}</td>
                                <td>{{ $location->longitude }}</td>
                                <td>{{ $location->created_at->format('d-m-Y H:i:s') }}</td>
                                <td>
                                    <!-- <a href="http://maps.google.com/maps?q={{ $location->latitude }},{{ $location->longitude }}"
                                        target="_blank" class="btn btn-sm btn-primary">Lihat di Maps</a> -->
                                    <a href="{{ route('tracking.view', ['id' => $location->user_id]) }}" class="btn btn-primary">Lihat di Maps</a>
                                </td>
                            </tr>
                            @endforeach
                        @else
                            <tr>
                                <td colspan="6" class="text-center">
                                    <div class="alert alert-warning mb-0">Data Belum Tersedia</div>
                                </td>
                            </tr>
                        @endif
                        </tbody>
                    </table>
                    <!-- <form action="{{ url('/cleanup-yesterday') }}" method="GET">
                        <button type="submit" class="btn btn-danger">Bersihkan Data Kemarin</button>
                    </form> -->
                </div>
            </div>
        </div>

    </div>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.2/dist/js/bootstrap.bundle.min.js"></script>
    <script>
        setInterval(() => {
            window.location.reload();
        }, 10000); // 10.000 ms = 10 detik
    </script>
    <script>
        document.addEventListener('DOMContentLoaded', function () {
            fetch('/cleanup-yesterday')
                .then(response => {
                    if (response.redirected) {
                        // Jika Laravel redirect karena session expired / middleware auth
                        console.log('Redirected to login or home');
                        return;
                    }

                    return response.text(); // atau response.json() kalau pakai json
                })
                .then(data => {
                    console.log('Cleanup request sent successfully');
                    // Optional: tampilkan notifikasi swal / toast kalau mau
                })
                .catch(error => {
                    console.error('Error during cleanup:', error);
                });
        });
    </script>

</body>

</html>