<!DOCTYPE html>
<html lang="id">
<head>
    <meta charset="UTF-8">
    <title>Formulir Penilaian Kinerja - {{ $kurir['nama'] }}</title>
    <style>
        body {
            font-family: 'Arial', sans-serif;
            margin: 30px;
            font-size: 14px;
        }
        h2, h3 {
            text-align: center;
            margin: 0;
        }
        table {
            width: 100%;
            border-collapse: collapse;
            margin-top: 15px;
        }
        td, th {
            border: 1px solid #000;
            padding: 6px;
            text-align: center;
        }
        .no-border td {
            border: none;
            padding: 3px;
        }
        .keterangan {
            margin-top: 10px;
        }
        .section-title {
            font-weight: bold;
            margin-top: 25px;
        }
        .signature {
            margin-top: 60px;
            display: flex;
            justify-content: space-between;
        }
        .signature div {
            width: 45%;
            text-align: center;
        }
    </style>
</head>
<body>

    <h2>Formulir Penilaian Kinerja Pegawai</h2>
    <h3>MAS KURIR</h3>

    <!-- @php
        use Carbon\Carbon;
        $formattedMonthYear = Carbon::createFromDate($year, $month, 1)->translatedFormat('F Y');
    @endphp -->

    <div style="text-align: left; margin-top: 20px;">
        <p><strong>Nama</strong> : {{ $kurir->name }}</p>
        <p><strong>Posisi</strong> : {{ ucfirst($kurir->role) }}</p>
        <p><strong>Periode</strong> : {{ $formattedMonthYear }}</p>
    </div>


    <div class="section-title">I. Rekap Penilaian Kinerja</div>
    <table>
        <thead>
            <tr>
                <th>Total Hari Kerja</th>
                <th>Total On Time</th>
                <th>Total On Target</th>
                <th>Predikat</th>
            </tr>
        </thead>
        <tbody>
            <tr>
                <td>{{ $kinerja['total_hari_kerja'] }}</td>
                <td>{{ $kinerja['total_ontime'] }}</td>
                <td>{{ $kinerja['total_ontarget'] }}</td>
                <td><strong>{{ strtoupper($kinerja['predikat']) }}</strong></td>
            </tr>
        </tbody>
    </table>

    <div class="keterangan">
        <strong>Keterangan:</strong><br>
        - On Time: Presensi sebelum pukul 07:30<br>
        - On Target: Kurir menerima ≥5 order dalam 1 hari<br>
        - Predikat dihitung dari total ontime + on target
    </div>

    <div class="signature">
        <div>
            Pegawai<br><br><br><br>
            (____________________)
        </div>
        <div>
            Disetujui Oleh<br><br><br><br>
            (____________________)
        </div>
    </div>

</body>
</html>
<script>
    window.onload = () => window.print();
</script>
