<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Gaji Kurir</title>
    <link href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" rel="stylesheet">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0/css/all.min.css"
        integrity="..." crossorigin="anonymous" referrerpolicy="no-referrer" />
    <style>
        body {
            font-family: 'Poppins', sans-serif; /* Font yang lebih modern */
            background-color: #ffffff; /* Warna latar belakang lembut */
            padding-top: 50px;
        }

      .card {
            border: none;
            box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1); /* Efek bayangan */
            border-radius: 10px; /* Sudut membulat */
        }

      .card-header {
            background-color: #e9ecef; /* Warna header lembut */
            color: #343a40;
            border-top-left-radius: 10px;
            border-top-right-radius: 10px;
        }

      .card-title {
            color: #343a40;
        }

      .badge {
            border-radius: 5px;
            padding: 0.3rem 0.6rem;
        }

      .table-responsive {
            max-height: 500px;
            overflow-y: auto;
        }

        /* Warna-warna lembut */
      .bg-success-soft {
            background-color: #d4edda;
            color: #28a745;
        }

      .bg-primary-soft {
            background-color: #cfe2ff;
            color: #007bff;
        }

      .bg-info-soft {
            background-color: #d1ecf1;
            color: #17a2b8;
        }

      .bg-warning-soft {
            background-color: #fff3cd;
            color: #ffc107;
        }
    </style>
</head>
<script src="https://cdnjs.cloudflare.com/ajax/libs/jspdf/2.5.1/jspdf.umd.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/jspdf-autotable/3.5.25/jspdf.plugin.autotable.min.js"></script>

<script>
function downloadPDF() {
    const { jsPDF } = window.jspdf;
    const doc = new jsPDF();

    doc.text("Laporan Gaji Kurir", 14, 10);

    doc.autoTable({
        html: "#salaryTable", // Pastikan ID tabel benar
        startY: 20,
        theme: "grid",
        styles: { fontSize: 10 },
    });

    doc.save("laporan_gaji_kurir.pdf"); // Nama file PDF
}
</script>
<body>

    <nav class="navbar navbar-expand-lg navbar-light bg-light fixed-top">
        <div class="container">
            <a class="navbar-brand" href="#">Dashboard Owner</a>
            <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarNav"
                aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
            </button>
            <div class="collapse navbar-collapse" id="navbarNav">
                <ul class="navbar-nav ml-auto">
                    <li class="nav-item">
                        <a class="nav-link" href="{{ route('home') }}">Home</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="{{ route('orders.index') }}">Order</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="{{ route('salary.index') }}">Salary</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="{{ route('report.index') }}">Report</a>
                    </li>
                    <li class="nav-item">
                        <form action="{{ route('logout') }}" method="POST" class="d-flex mt-1">
                            @csrf
                            <button type="submit" class="btn btn-sm btn-danger">Logout</button>
                        </form>
                    </li>
                </ul>
            </div>
        </div>
    </nav>


    <div class="container mt-3">
        <div class="card mb-4">
            <div class="card-header bg-primary-soft">
                <i class="fas fa-filter mr-2"></i> Filter Periode
            </div>
            <div class="card-body">
                <form method="GET" action="{{ route('salary.index') }}">
                    <div class="row">
                        <div class="col-md-6 mb-2">
                            <label for="startDate" class="form-label">Tanggal Mulai</label>
                            <input type="date" class="form-control" name="startDate" value="{{ $startDate }}">
                        </div>
                        <div class="col-md-6 mb-2">
                            <label for="endDate" class="form-label">Tanggal Selesai</label>
                            <input type="date" class="form-control" name="endDate" value="{{ $endDate }}">
                        </div>
                    </div>
                    <button type="submit" class="btn btn-primary">Filter</button>
                </form>
            </div>
        </div>

        <div class="card mb-4">
            <div class="card-header bg-success-soft">
                <i class="fas fa-money-bill-wave mr-2"></i> Total Gaji
            </div>
            <div class="card-body">
                <h4 class="card-title"><strong>Rp
                        {{ number_format($totalGajiKurir, 0, ',', '.') }}</strong></h4>
                <p class="card-text">Total gaji yang harus dibayarkan bulan ini</p>
            </div>
        </div>


        <div class="card mb-4">
            <div class="card-header bg-info-soft">
                <i class="fas fa-table mr-2"></i> Daftar Gaji Kurir
            </div>
            <div class="card-body">
                <div class="table-responsive">
                    <table class="table table-bordered table-striped" id="salaryTable">
                        <thead>
                            <tr>
                                <th>No</th>
                                <th>Nama Kurir</th>
                                <th>Jumlah Pesanan</th>
                                <th>Gaji per Pesanan</th>
                                <th>Total Gaji</th>
                                <th>Aktivitas Terakhir</th>
                                <th>Target</th>
                            </tr>
                        </thead>
                        <tbody>
                            @foreach($courierSalaries as $index => $salary)
                            <tr>
                                <td>{{ $index + 1 }}</td>
                                <td>{{ $salary->courier_name }}</td>
                                <td>{{ $salary->total_orders }}</td>
                                <td>Rp
                                    {{ number_format($salary->salary_per_order, 0, ',', '.') }}</td>
                                <td>Rp
                                    {{ number_format($salary->total_salary, 0, ',', '.') }}</td>
                                <td>{{ $salary->last_order_date }}</td>
                                <td>
                                    @if($salary->total_orders >= 10)
                                    <span class="badge bg-success text-white">On Target</span>
                                    @else
                                    <span class="badge bg-danger text-white">Off Target</span>
                                    @endif
                                </td>
                            </tr>
                            @endforeach
                        </tbody>
                    </table>
                </div>
                <a onclick="window.print()" class="btn btn-success">Cetak PDF</a>
            </div>
        </div>

    </div>

    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/js/bootstrap.bundle.min.js"></script>
</body>

</html>